# Poco::Data::ODBC

# class DataTypes

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/DataTypes.h

## Description

C <==> SQL datatypes mapping utility class.

## Member Summary

Member Functions: cDataType, sqlDataType

## Types

### DataTypeMap

typedef std::map < int, int > DataTypeMap;

### ValueType

typedef DataTypeMap::value_type ValueType;

## Constructors

### DataTypes

DataTypes();

Creates the DataTypes.

## Destructor

### ~DataTypes

~DataTypes();

Destroys the DataTypes.

## Member Functions

### cDataType

int cDataType(
int sqlDataType
) const;

Returns C data type corresponding to supplied SQL data type.

### sqlDataType

int sqlDataType(
int cDataType
) const;

Returns SQL data type corresponding to supplied C data type.